MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures
Discovery.hxx File Reference
`#include "Callback.hxx"`
`#include "Device.hxx"`
`#include "WorkQueue.hxx"`
`#include "thread/Mutex.hxx"`
`#include "Compiler.h"`
`#include <upnp/upnp.h>`
`#include <list>`
`#include <vector>`
`#include <string>`
`#include <memory>`
`#include <chrono>`
Include dependency graph for Discovery.hxx:

Go to the source code of this file.

## Data Structures
class | UPnPDiscoveryListener
class | UPnPDeviceDirectory
| Manage UPnP discovery and maintain a directory of active devices. More...